Apache C++ Standard Library Reference Guide

## not1()

Library: General utilities

    Function

- Local Index
- Summary
- Synopsis
- Description
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

A function adaptor used to reverse the sense of a unary predicate function object

### Synopsis

    #include <functional>

    namespace std {
      template<class Predicate>
      unary_negate <Predicate> not1(const Predicate&);
    }

### Description

`not1()` is a function adaptor, known as a negator, that takes a unary predicate function object as its argument and returns a unary predicate function object that is the complement of the original. unary_negate is the function object class used for a return type for the `not1()` negator.

Note that `not1()` works only with function objects that are defined as subclasses of the class unary_function.

### See Also

Negators, `not2()`, unary_function, unary_negate, pointer_to_unary_function

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 20.3.5